/*
 * Projet LO43
 * Julien Miltat -- Julien Rosener -- Thomas Petazzoni
 * Semestre automne 2002-2003
 */

import javax.swing.*;
import java.awt.*;
import java.awt.event.*;

class MainPanel extends JPanel
{
    MainPanel(EnvironnementPanel ep, CommandPanel cp, 
	      PlotPanel pp, int x, int y, int nbPrey, int cellSize)
    {
	GridBagConstraints c   = new GridBagConstraints();
	GridBagLayout gd       = new GridBagLayout();

	System.out.println("[MainPanel] CellSize " + cellSize);

	setLayout(gd);

	c.fill = GridBagConstraints.HORIZONTAL; 

	c.gridx      = 0;
	c.gridy      = 0;
	c.ipady      = y*cellSize - 7; /* top tuning */
	c.ipadx      = x*cellSize - 7; /* top tuning */
	c.insets     = new Insets(0,10,0,0);
	c.gridwidth  = 1;
	c.gridheight = 1;
	add(ep, c);

	//c.ipady      = y*cellSize - 68; /* top tuning */
	c.ipady      = 0;
	c.insets     = new Insets(0,10,0,10);
	c.anchor     = GridBagConstraints.PAGE_START;
	c.weightx    = 0.5;
	c.gridx      = 1;
	c.gridwidth  = 1;
	c.gridheight = 1;
	add(cp, c);
	
	c.insets = new Insets(10, 10, 0, 10);
	c.ipady = nbPrey+100;
	c.gridx = 0;
	c.gridy = 1;
	c.gridwidth = 2;
	add(pp, c);

	validate();
    }
}
